<?php
namespace Claromentis\Core\DAL\MSSQL\NativeClient;

$GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"] ?: array()) + array("_9a1d01ea56101db475f" . "6e198f06a4f9d" => base64_decode("c3Fsc3J2X2ZyZW" . "Vfc3RtdA=="), "_a591754a" . "8ddcdbda9" . "c80f1db4d" . "911e14" => base64_decode("aXNfbnV" . "sbA=="), "_d64c6254864cf96656eabcea4c48fe5" . "1" => base64_decode("c3Fsc3J2X2hh" . "c19yb3dz"), "_78aadcc2e8dfecef37e1fe6d5f" . "fbcdbb" => base64_decode("c3Fsc3J2X2ZldG" . "NoX2FycmF5"), "_020048b1b65987544bdb5f9afa6" . "92a0f" => base64_decode("TnVtUm93" . "cyBpcyBu" . "b3Qgc3Vw" . "cG9ydGVk"));
use Claromentis\Core\DAL;
use UnsupportedOperationException;
class ResultUnbuffered implements DAL\ResultInterface
{
    protected $stmt;
    protected $has_data = null;
    
    
    public function __construct($_a606a2dcd236a549db0574a9c1675927)
    {
        $this->stmt = $_a606a2dcd236a549db0574a9c1675927;
        if ($_a606a2dcd236a549db0574a9c1675927 === true) {
            return;
        }
    }
    public function fetchRow()
    {
        $data = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53" . "6215"]["_78aadcc2e8dfecef37e" . "1fe6d5ffbcdbb"]($this->stmt, SQLSRV_FETCH_NUMERIC);
        
        
        return $data;
    }
    public function fetchArray()
    {
        $data = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_78aadcc2e8dfecef37e1fe6d5ffb" . "cdbb"]($this->stmt, SQLSRV_FETCH_ASSOC);
        
        
        return $data;
    }
    public function numRows()
    {
        throw new UnsupportedOperationException($GLOBALS["__65da1b1ec2d6653e8a0" . "ab7848e536215"]["_020048b1b65987544bdb5f" . "9afa692a0f"]);
        
        
        
    }
    public function hasData()
    {
        if ($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_a591754a8ddcdbda9c8" . "0f1db4d911e14"]($this->has_data)) {
            $this->has_data = $GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["_d64c6254864cf96656" . "eabcea4c48fe51"]($this->stmt);
        }
        return $this->has_data;
    }
    public function free()
    {
        if ($this->stmt) {
            $GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"]["_9a1d01ea5" . "6101db475f" . "6e198f06a4" . "f9d"]($this->stmt);
            $this->stmt = null;
        }
        return true;
    }
    
    
    
    
    
    
    
    public function fetchAllValues()
    {
        return DAL\DbUtil::fetchAllValues($this);
    }
    public function __destruct()
    {
        $this->free();
    }
}